MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/text_input_stream.h File Reference

Go to the source code of this file.

## Functions
struct text_input_stream * | text_input_stream_new (struct input_stream *is)
| Wraps an existing input_stream object into a #text_input_stream, to read its contents as text lines.
void | text_input_stream_free (struct text_input_stream *tis)
| Frees the #text_input_stream object.
const char * | text_input_stream_read (struct text_input_stream *tis)
| Reads the next line from the stream.

## Function Documentation

void text_input_stream_free | ( | struct text_input_stream * | tis | ) |

Frees the #text_input_stream object.

Does not close or free the underlying input_stream.

struct text_input_stream* text_input_stream_new | ( | struct input_stream * | is | ) | `[read]`

Wraps an existing input_stream object into a #text_input_stream, to read its contents as text lines.

Parameters:

  is | an open input_stream object

Returns:
  the new #text_input_stream object

const char* text_input_stream_read | ( | struct text_input_stream * | tis | ) |

Reads the next line from the stream.

Returns:
  a line (newline character stripped), or NULL on end of file or error